#pragma once
#include "JObject_NetSDK.h"
#include "Video.h"
NS_NETSDK_CFG_BEGIN

#define JK_MainFormat "MainFormat" 
class MainFormat : public JObject  //主码流配置
{
public:
	JBoolObj		AudioEnable;	///是否开启视频编码 
	Video			mVideo;			///视频格式定义
	JBoolObj		VideoEnable;	///是否开启音频编码 

public:
	MainFormat(JObject *pParent = NULL, const char *szName = JK_MainFormat):
	JObject(pParent,szName),
	AudioEnable(this, "AudioEnable"),
	mVideo(this, "Video"),
	VideoEnable(this, "VideoEnable"){
	};

	~MainFormat(void){};
};
NS_NETSDK_CFG_END